Module java.desktop
Package java.awt.desktop

## Class ScreenSleepEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.desktop.AppEvent
    - - java.awt.desktop.ScreenSleepEvent

- All Implemented Interfaces:
    `Serializable`

      public final class ScreenSleepEvent
      extends AppEvent

  Event sent when the displays attached to the system enter and exit power save sleep.
  Since:
    9
  See Also:
    `ScreenSleepListener.screenAboutToSleep(ScreenSleepEvent)`, `ScreenSleepListener.screenAwoke(ScreenSleepEvent)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScreenSleepEvent​()` | Constructs a ScreenSleepEvent

  - ### Method Summary

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScreenSleepEvent

          public ScreenSleepEvent​()

      Constructs a ScreenSleepEvent